case $CONFIG in
    '') . ../conf.sh ;;
esac
echo "Extracting Makefile (with variable substitutions)"
cat >Makefile <<!GROK!THIS!
#
# $Header$
#
# $Log$
# Revision 1.8  1995/11/27 01:27:27  geoff
# Add .. to the includes list.  Don't build with -n switch.  Add a TAGS
# dependency for emacs users.
#
# Revision 1.7  87/03/31  23:13:11  geoff
# Add mathlib, and improve some of the default .o dependencies so that
# make depend is sure to be run.
# 
# Revision 1.6  87/01/10  23:23:17  geoff
# More changes for configurability.
# 
# Revision 1.5  86/12/01  13:39:51  geoff
# Add the various shell scripts to the all dependency.  Add files generated
# by Configure to the clean dependency.  Define RM from Configure.
# 
# Revision 1.4  86/11/29  15:57:33  geoff
# Major changes to convert Makefile into Makefile.SH so it becomes
# configurable.
# 
# Revision 1.3  86/07/06  23:58:27  geoff
# Add some lint dependencies.
# 
# Revision 1.2  86/06/26  23:29:11  geoff
# Major changes to make it portable to USG.  Also add 'make depend' and
# a tags dependency.
# 
#DEFS=-DDEBUG
DEFS=
CFLAGS = -O -I.. \$(DEFS)
LFLAGS =
SHARED =
LIBES = $ndirlib $mathlib

CRONLOC	= $cronloc
CRONBIN = $cronbin
BATCHDIR = $bspoolexp

RM	=	$rm
SHELL	=	/bin/sh

BATCHSRC	=	batch.c
BATCHOBJ	=	batch.o
BATCHDSRC	=	batchd.c lex.c $ddndirc $ddmemsetc
BATCHDOBJ	=	batchd.o lex.o $ddndiro $ddmemseto
!GROK!THIS!
cat >>Makefile <<'!NO!SUBS!'

all: Makefile batch batchd bcancel bqueue cleanup killbatch makeq

batchd: $(BATCHDOBJ)
	cc $(CFLAGS) $(LFLAGS) $(SHARED) $(BATCHDOBJ) -o batchd $(LIBES)

batch:	$(BATCHOBJ)
	cc $(CFLAGS) $(LFLAGS) $(BATCHOBJ) -o batch

lex.c:	lex.l
	lex lex.l
	mv lex.yy.c lex.c

../memset.o:	../memset.c ../config.h ../config.SH ../conf.sh
	cd ..; $(MAKE) memset.o

../ndir.o:	../ndir.c ../ndir.h ../config.h ../config.SH ../conf.sh
	cd ..; $(MAKE) ndir.o

tags:	$(BATCHSRC) $(BATCHDSRC)
	ctags $(BATCHSRC) $(BATCHDSRC)

TAGS:	$(BATCHSRC) $(BATCHDSRC)
	etags $(BATCHSRC) $(BATCHDSRC)

lint:	$(BATCHSRC) $(BATCHDSRC)
	lint $(DEFS) $(DEBUG) $(BATCHSRC) | fixlint
	lint $(DEFS) $(DEBUG) $(BATCHDSRC) | fixlint

#
#	The make in the next dependency must NOT be $(MAKE), or a
#	make -n will generate an infinite recursion which will fill
#	up the process table and then hang trying to fork (how uncool).
#	This won't happen on non- "-n" makes, because the Makefile
#	will get changed and this dependency won't get re-executed.
#
Makefile: Makefile.SH ../conf.sh
	sh Makefile.SH
	make depend
	@echo You must re-run the rest of the make; exit 1

../mdepend: ../mdepend.SH
	cd ..; sh mdepend.SH

depend: $(BATCHSRC) $(BATCHDSRC) ../mdepend Makefile
	../mdepend -I..

# Batch must be setuid root to signal batchd
install: all
	install -m 740 -o root batchd $(CRONLOC)
	install -m 4755 -o root batch $(CRONBIN)

clean:
	$(RM) -f Makefile.old *.o *.log lex.c batch batchd signames.h
	$(RM) -f bcancel bqueue cleanup config.h killbatch makeq

realclean:
	$(RM) -f Makefile tags

# AUTOMATICALLY GENERATED MAKE DEPENDENCIES--PUT NOTHING BELOW THIS LINE
# DO NOT DELETE THIS LINE - make depend uses it
$(BATCHOBJ):	../conf.sh
	make depend
	@ echo "You must re-run the rest of the make"; exit 1

$(BATCHDOBJ):	../conf.sh
	make depend
	@ echo "You must re-run the rest of the make"; exit 1
!NO!SUBS!
$eunicefix Makefile
