#ifndef lint
static char Rcs_Id[] =
	"$Header$";
#endif

/*
 * $Log$
 * Revision 1.5  1995/05/11 05:05:27  geoff
 * Add a bit of flexibility in argument processing?
 *
 * Revision 1.4  86/11/29  19:51:42  geoff
 * Change all the register declarations to be portable across
 * machines with varying numbers of registers.
 * 
 * Revision 1.3  86/04/17  21:55:36  geoff
 * Add support for compile-able RCS ID's.
 * 
 * Revision 1.2  85/11/24  16:13:06  geoff
 * Fix some lint complaints.
 * 
 * Revision 1.1  85/10/13  21:49:44  geoff
 * Initial revision
 * 
 */

#define GEN_ID				/* Generate source-control ID's */

#include "config.h"			/* Just for the ID's */
#include <errno.h>

int		main ();

extern void	exit ();
extern void	perror ();
extern unsigned	sleep ();

int main (argc, argv)
    reg5 int			argc;		/* Argument count */
    reg3 char *			argv[];		/* Argument vector */
    {
    char			buf[100];
    reg1 int			fd;
    reg2 int			size;
    reg4 int			sleeptime;

    if (argc >= 2  &&  strcmp (argv[1], "-r") == 0)
	{
	fd = openfifo ("TESTFIFO", 0);
	if (fd < 0  &&  errno == ENOENT)
	    {
	    (void) mkfifo ("TESTFIFO", 0666);
	    fd = openfifo ("TESTFIFO", 0);
	    }
	if (fd < 0)
	    {
	    perror ("TESTFIFO");
	    exit (1);
	    }
	sleeptime = 1;
	while ((size = readfifo (fd, buf, sizeof buf)) >= 0)
	    {
	    if (size > 0)
		{
		(void) write (1, buf, (unsigned) size);
		sleeptime = 1;
		}
	    else
		{
		(void) sleep ((unsigned) sleeptime);
		if (sleeptime < 120)
		    sleeptime <<= 1;
		}
	    }
	if (size < 0)
	    perror ("couldn't read TESTFIFO");
	(void) closefifo (fd);
	}
    else
	{
	fd = openfifo ("TESTFIFO", 1);
	if (fd < 0)
	    {
	    perror ("TESTFIFO");
	    exit (1);
	    }
	while ((size = read (0, buf, sizeof buf)) > 0)
	    {
	    if (size > 0)
		(void) writefifo (fd, buf, size);
	    }
	(void) closefifo (fd);
	}
    if (argc >= 2  &&  strcmp (argv[argc - 1], "-d") == 0)
	(void) rmfifo ("TESTFIFO");
    }
