case $CONFIG in
    '') . conf.sh ;;
esac
echo "Extracting mdepend (with variable substitutions)"
$spitshell >mdepend <<!GROK!THIS!
$startsh
# $Header$
#
# $Log$
# Revision 1.5  1995/11/27 01:59:43  geoff
# Get rid of backslashes at the end of input lines.
#
# Revision 1.4  1995/05/11  05:05:35  geoff
# Make the -I list for cpp be variable.  Use test -r, not test -f.
# Don't use a variable echo.
#
# Revision 1.3  86/11/29  16:44:19  geoff
# Add support for signames.SH for the batch daemon.
# 
# Revision 1.2  86/11/16  00:58:41  geoff
# Modify Larry Wall's version to work on my system;  mostly this invloves
# shortening some names.
# 
# 

export PATH || (echo "OOPS, this isn't sh.  Desperation time.  I will feed myself to sh."; sh \$0; kill \$\$)

incs="\$1"

$cat /dev/null >.deptmp
echo "(Note: this is going to take a while.)"
$rm -f X*.c
for file in [a-zA-Z]*.c; do
    filebase=\`basename \$file .c\`
    echo "Finding dependencies for \$filebase.o."
    $sed -n <\$file >X\$file \\
	-e '/^#/{' \\
	-e 's|/\*.*$||' \\
	-e 's/\\\\$//' \\
	-e p \\
	-e '}'
    $cpp \$incs -I/usr/local/include X\$file | $sed  \\
	-e '/^# *[0-9]/!d' \\
	-e 's/^.*"\(.*\)".*\$/'\$filebase'.o: \1/' \\
	-e 's|: \./|: |' \\
	-e 's|: X|: |' | \\
	$uniq | $sort | $uniq >> .deptmp
    $rm -f X\$file
done

if $test -r conf.sh
then
    confsh=conf.sh
else
    confsh=../conf.sh
fi
for file in [a-zA-Z]*.SH; do
    case \$file in
    Makefile.SH|mdepend.SH) ;;
    config.SH) echo config.h: \$file \$confsh \; \
       /bin/sh \$file >> .deptmp
       ;;
    signames.SH) echo signames.h: \$file \$confsh \; \
       /bin/sh \$file >> .deptmp
       ;;
    *) echo \`basename \$file .SH\`: \$file \$confsh \; \
	 /bin/sh \$file >> .deptmp
       ;;
    esac
done

$sed <Makefile >Makefile.new -e '1,/^# AUTOMATICALLY/!d'

# johnh hack for 4.1 in Fedora 7
fix_gcc () {
	egrep -v '(built-in.|command.line.)$'
}

if $test -s .deptmp; then
    echo "Updating Makefile..."
    echo "# If this runs make out of memory, delete /usr/include lines." >>Makefile.new
    $cat .deptmp | fix_gcc >>Makefile.new
else
    echo "You don't seem to have a proper C preprocessor.  Using grep instead."
    $egrep '^#include ' *.c *.h >.deptmp
    echo "Updating Makefile..."
    <.deptmp $sed -n 's|c:#include "\(.*\)".*\$\$|o: \1|p' |fix_gcc >> Makefile.new
    <.deptmp $sed -n 's|c:#include <\(.*\)>.*\$\$|o: /usr/include/\1|p' |fix_gcc >> Makefile.new
    <.deptmp $sed -n 's|h:#include "\(.*\)".*\$\$|h: \1|p' |fix_gcc >> Makefile.new
    <.deptmp $sed -n 's|h:#include <\(.*\)>.*\$\$|h: /usr/include/\1|p' |fix_gcc >> Makefile.new
fi
$mv Makefile Makefile.old
$mv Makefile.new Makefile
echo "# WARNING: Put nothing here or make depend will gobble it up!" >> Makefile
rm -f .deptmp X*.c

!GROK!THIS!
$eunicefix mdepend
chmod 755 mdepend
